=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: check (>= 0.9.4),
                dconf-cli (>= 0.19.90),
                debhelper-compat (= 13),
@@ -53,7 +53,6 @@
 
 Package: gdm3
 Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x riscv64
-Pre-Depends: ${misc:Pre-Depends}
 Depends: accountsservice (>= 0.6.35),
          adduser,
          bash (>= 4.3),
@@ -94,8 +93,6 @@
           libpam-pkcs11,
           libpam-gnome-keyring
 Provides: x-display-manager
-Breaks: pulseaudio (<< 11.1-2),
-        xserver-xorg-core (<< 2:1.17.2-2~)
 Description: GNOME Display Manager
  GDM provides the equivalent of a "login:" prompt for X displays: it
  asks for a login and starts graphical sessions.
@@ -108,12 +105,9 @@
 Package: libgdm1
 Section: libs
 Architecture: linux-any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: gdm3 (<< 3.18.0-3~)
-Replaces: gdm3 (<< 3.18.0-3~)
 Description: GNOME Display Manager (shared library)
  GDM provides the equivalent of a "login:" prompt for X displays: it
  asks for a login and starts graphical sessions.
@@ -128,7 +122,6 @@
 Package: libgdm-dev
 Section: libdevel
 Architecture: linux-any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: gir1.2-gdm-1.0 (= ${binary:Version}),
          libgdm1 (= ${binary:Version}),
          libglib2.0-dev (>= 2.44.0),
