## gdm3 45.0.1

=== debian/changelog ===
gdm3 (45.0.1-1ubuntu2) noble; urgency=medium

  * debian/gdm3.gdm-smartcard-pkcs11-exclusive.pam: Make Smart Card module
    really exclusive:
    pam_pkcs11 may stil return PAM_IGNORE in case of smart-card errors if no
    card_only is parameter is provided, potentially leading to an unexpected
    login.
    This should not be a security issue anymore in recent versions of this
    service files since we always fallback to password auth, but it's still a
    bug since we should not really fallback to password if this service file is
    selected. (LP: #2017870)
  * debian/patches: Cherry-pick fix to install GDM's custom JSON proto header

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 12 Jan 2024 17:12:51 +0100

gdm3 (45.0.1-1ubuntu1) noble; urgency=medium

  * Merge with Debian, containing new upstream version.
  * debian/patches: Refresh
  * debian/patches: Cherry pick patches to support JSON binary protocol
  * debian/control: Build-depend on libjson-glib-dev for JSON protocol
  * debian/libgdm1.symbols: Update symbols for JSON PAM protocol support
  * Remaining changes with debian:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
      - Use needs-root instead of needs-sudo (to remove when ubuntu autopkgtest
        will be updated to include such feature)
    + debian/tests/sssd-gdm-smartcard-pam-auth-tester-env.sh:
      - Added to use needs-root autopkgtest instead of needs-sudo
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + add Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch:
      - Don't disable Wayland on hybrid graphics laptops
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 01 Dec 2023 06:00:55 +0100

gdm3 (45.0.1-1) unstable; urgency=high

  * Team upload

  [ Marco Trevisan (Treviño) ]
  * debian/gdm3.gdm-smartcard-*: Always fallback to password auth if no SC
    pam module is installed.
    Both libpam_sss.so and libpam_pkcs11.so might be not be installed in a
    system, in such case we should not make gdm to enforce the smartcart
    authentication because that would just lock the user out if there are
    other login allowed methods.
    As per this, make these modules partially optional even in the exclusive
    mode, given that we have not a strong dependency on such modules and so
    inserting a smartcard is not enough to block a system, unless that's
    configured.
    Ideally we should not even try to proceed if the system is not fully
    configured for smartcards, but that's something that can't be easily
    controlled from modules settings, so let's just do the quickest thing.
    (Mitigates: #1051659, #1051785)
  * d/tests/sssd-softhism2-certificates-tests.sh: Cherry-pick upstream fixes

  [ Simon McVittie ]
  * New upstream release
    - Fix an intermittent crash when unlocking the screen
    - Translation updates: en_GB, ko, sv
  * d/gdm3.links: Create a dconf profile named for the Debian-gdm user.
    In upstream and Ubuntu gdm, the system username used for the greeter
    is "gdm", but in Debian, for historical reasons it is "Debian-gdm".
    Before version 45, the dconf profile name "gdm" was hard-coded,
    but since version 45 it uses a profile name that matches the system
    username (to allow gnome-initial-setup to have its own profile).
    This resulted in the gdm greeter trying to use the ordinary
    gnome.session instead of gnome-login.session, which caused login to
    fail when the gnome-session package was not installed, and caused
    settings in /etc/gdm3/greeter.dconf-defaults to be ineffective. Other
    differences between gnome.session and gnome-login.session, potentially
    including security hardening for the greeter, would also not have
    been effective.

