=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: check (>= 0.9.4),
                dconf-cli (>= 0.19.90),
                debhelper-compat (= 13),
@@ -28,6 +28,7 @@
                libcanberra-gtk3-dev (>= 0.4),
                libgirepository1.0-dev (>= 0.9.12),
                libglib2.0-dev (>= 2.44.0),
+               libjson-glib-dev (>= 1.2.0),
                libgtk-3-dev (>= 2.91.1),
                libgudev-1.0-dev (>= 232),
                libkeyutils-dev [linux-any],
@@ -41,7 +42,9 @@
                libxcb1-dev,
                libxdmcp-dev,
                meson (>= 0.57),
+               pkgconf,
                systemd,
+               systemd-dev,
                udev [linux-any]
 Standards-Version: 4.6.2
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git
