=== debian/control ===
--- 
+++ 
@@ -1,7 +1,3 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gdm3
 Section: gnome
 Priority: optional
@@ -16,7 +12,7 @@
                dh-sequence-gnome,
                docbook-xml,
                gettext (>= 0.19.8),
-               gjs [amd64 armel arm64 armhf i386 mips64el mipsel ppc64el s390x riscv64],
+               gjs [amd64 armel arm64 armhf i386 loong64 mips64el mipsel ppc64el s390x riscv64],
                gnome-pkg-tools (>= 0.16.3),
                gnome-settings-daemon-dev (>= 3.24.0),
                gobject-introspection (>= 0.10.7-1~),
@@ -28,9 +24,9 @@
                libcanberra-gtk3-dev (>= 0.4),
                libgirepository1.0-dev (>= 0.9.12),
                libglib2.0-dev (>= 2.44.0),
-               libjson-glib-dev (>= 1.2.0),
                libgtk-3-dev (>= 2.91.1),
                libgudev-1.0-dev (>= 232),
+               libjson-glib-dev,
                libkeyutils-dev [linux-any],
                libpam0g-dev,
                libplymouth-dev [linux-any],
@@ -43,9 +39,7 @@
                libxdmcp-dev,
                meson (>= 0.57),
                pkgconf,
-               systemd,
                systemd-dev,
-               udev [linux-any]
 Standards-Version: 4.6.2
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gdm
@@ -55,7 +49,7 @@
 Homepage: https://wiki.gnome.org/Projects/GDM/
 
 Package: gdm3
-Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x riscv64
+Architecture: amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el s390x riscv64
 Depends: accountsservice (>= 0.6.35),
          adduser,
          bash (>= 4.3),
